<?php

include_once '../sys/inc/start.php';
include_once '../sys/inc/compress.php';
include_once '../sys/inc/sess.php';
include_once '../sys/inc/home.php';
include_once '../sys/inc/settings.php';
include_once '../sys/inc/db_connect.php';
include_once '../sys/inc/ipua.php';
include_once '../sys/inc/fnc.php';
include_once '../sys/inc/user.php';

only_reg();
$set['title']='Мое фото';
include_once '../sys/inc/thead.php';
Error_Reporting(E_ALL & ~E_NOTICE);
title();

if (isset($user) && mysql_result(mysql_query("SELECT COUNT(*) FROM `foto` WHERE `name` = '$user[id]'"), 0)==0){

if (isset($_FILES['file']))
{


if ($imgc=@imagecreatefromstring(file_get_contents($_FILES['file']['tmp_name'])))
{
$name=esc(stripcslashes(htmlspecialchars($_POST['name'])),1);
if (isset($_POST['translit1']) && $_POST['translit1']==1)$name=translit($name);
if ($name==null)$name=esc(stripcslashes(htmlspecialchars(eregi_replace('\.[^\.]*$', NULL, $_FILES['file']['name'])))); // имя файла без расширения)),1);



$msg=$_POST['opis'];
if (isset($_POST['translit2']) && $_POST['translit2']==1)$msg=translit($msg);
if (strlen2($msg)<10)$err='Короткое описание';
if (strlen2($msg)>1024)$err='Длина описания превышает предел в 1024 символов';
$msg=mysql_real_escape_string($msg);
$img_x=imagesx($imgc);
$img_y=imagesy($imgc);


if ($img_x>2048 || $img_y>2048)$err='Размер изображения превышает ограничения в 2048*2048';

if (!isset($err)){
mysql_query("INSERT INTO `foto` (`id_foto`, `name`, `ras`, `type`, `opis`) values ('$user[pol]', '$user[id]', 'jpg', 'image/jpeg', '$msg')");
$id_foto=mysql_insert_id();
mysql_query("UPDATE `foto` SET `time` = '$time' WHERE `id` = '$foto[id]' LIMIT 1");

if ($img_x==$img_y)
{
$dstW=240; // ширина
$dstH=320; // высота
}
elseif ($img_x>$img_y)
{
$prop=$img_x/$img_y;
$dstW=240;
$dstH=ceil($dstW/$prop);
}
else
{
$prop=$img_y/$img_x;
$dstH=320;
$dstW=ceil($dstH/$prop);
}

$screen=imagecreatetruecolor($dstW, $dstH);
imagecopyresampled($screen, $imgc, 0, 0, 0, 0, $dstW, $dstH, $img_x, $img_y);
imagedestroy($imgc);
//$copy=@imagecreatefromstring(file_get_contents(H.$set['copy_path']));
@imagecopy($screen, $copy, $dstW-imagesx($copy), $dstH-imagesy($copy), 0, 0, imagesx($copy), imagesy($copy));
imagejpeg($screen,H."/sys/foto/$id_foto.jpg",90);
@chmod(H."/sys/foto/$id_foto.jpg",0777);
imagedestroy($screen);

msg("Фотография успешно добавлена");
}
}
else $err='Выбранный Вами формат изображения не поддерживается';
}

err();

echo "<form class='menu_razd' enctype=\"multipart/form-data\" action='?' method=\"post\">";
echo "Файл:<br />\n";
echo "<input name='file' type='file' accept='image/*,image/jpeg' /><br />\n";
echo "Описание:<br />\n";
echo "<textarea name='opis'></textarea><br />\n";
echo "<input class=\"submit\" type=\"submit\" value=\"Выгрузить\" /><br />\n";
echo "&laquo;<a href='index.php'>Отмена</a><br />\n";
echo "</form>";
}
else
{
echo 'Вы уже участвуете в конкурсе!!!<br />';
echo "<img src='/style/back.gif' alt='' class='icon'/>\n";
echo "<a href='index.php'>Назад</a><br />\n";
}

include_once '../sys/inc/tfoot.php';

?>